/*-- 
	Tutorial 04
	Author: Maikel

	In this tutorial the player will be familiarized with some melee weapons.
--*/

protected func Initialize()
{
	// Environment 
	PlaceGrass(85);
	Cloud->Place(15);
	// Place some trees in a forest shape.
	//PlaceForest([Tree_Coniferous], 0, LandscapeHeight() / 2 + 50, nil, true);

	SproutBerryBush->Place();
	//var time = CreateObject(Environment_Time);
	//time->SetTime(22*60);
	//time->SetCycleSpeed(0);
	//Sound("WindLoop", true, 40, nil, 1);

		var x = 30;
		var lorry = CreateObjectAbove(Lorry, x, FindHeight(x) - 20);
		lorry->CreateContents(Wood, 6);
		lorry->CreateContents(Metal, 4);
		lorry->CreateContents(Rock, 4);
		lorry->CreateContents(Loam, 6);
		lorry->CreateContents(Dynamite, 4);
		lorry->CreateContents(Pickaxe);
	
	// Goal: Melee, all opponents must be killed.
	var goal = CreateObject(Goal_ResourceExtraction, 0, 0, NO_OWNER);
	goal->SetResource("Gold");
	
	// Script player as opponent.
	SetMaxPlayer(3);
	return;
}



protected func InitializePlayer(int plr)
{
	// Clonk to position
	var clonk = GetCrew(plr, 0);
	clonk->SetPosition(30, 394);
	clonk->CreateContents(Shovel);
	clonk->CreateContents(Hammer);
	clonk->CreateContents(Axe);
	
	GivePlayerBasicKnowledge(plr);
	GivePlayerAdvancedKnowledge(plr);
	
	// Give the player the elementary base materials.
	GivePlayerElementaryBaseMaterial(plr);
	
	
	return;
}